// m2f.cpp : t@C
//

#include "stdafx.h"
#include "m3f.h"


// CM3F

CM3F::CM3F()
{
	m_hM3f = LoadLibrary("mmgic3f.dll");

	if (m_hM3f != NULL) {
		// DLL ݒ
		m_lpInitialize = (LPMFINITIALIZE)GetProcAddress(m_hM3f, "mfInitialize"); 
		
		// F؋@\
		m_lpCheckDaysEx = (LPMFCHECKDAYSEX)GetProcAddress(m_hM3f, "mfCheckDaysEx");
		m_lpCheckKeyEx = (LPMFCHECKKEYEX)GetProcAddress(m_hM3f, "mfCheckKeyEx");
		m_lpMakeProductKeyEx = (LPMFMAKEPRODUCTKEYEX)GetProcAddress(m_hM3f, "mfMakeProductKeyEx");
		m_lpMakeValidationCodeEx = (LPMFMAKEVALIDATIONCODEEX)GetProcAddress(m_hM3f, "mfMakeValidationCodeEx");
		m_lpReadCodeEx = (LPMFREADCODEEX)GetProcAddress(m_hM3f, "mfReadCodeEx");
		m_lpWriteCodeEx = (LPMFWRITECODEEX)GetProcAddress(m_hM3f, "mfWriteCodeEx");
		m_lpShowInputBox = (LPMFSHOWINPUTBOX)GetProcAddress(m_hM3f, "mfShowInputBox");

		// ̑
		m_lpSetRegValue = (LPMFSETREGVALUE)GetProcAddress(m_hM3f, "mfSetRegValue");
		m_lpGetRegValue = (LPMFGETREGVALUE)GetProcAddress(m_hM3f, "mfGetRegValue");
		m_lpGetRegValueSize = (LPMFGETREGVALUESIZE)GetProcAddress(m_hM3f, "mfGetRegValueSize");
		m_lpGetFileVersion = (LPGETFILEVERSION)GetProcAddress(m_hM3f, "mfGetFileVersion");
	}
}

CM3F::~CM3F()
{
	UnLoad();
}

// CM3F o֐
void CM3F::UnLoad()
{
	INT nR;

	if ( m_hM3f!=NULL ) {
		nR = FreeLibrary(m_hM3f);
	}
}
