//
//// mmgic3f.dll Header Ver3.1a
//
///  (C) m.magic & K Maruyama.  All rights reserved.

//
//// 
//

// 萔
#define MF_OK				1
#define MF_CANCEL			2
#define MF_TRUE				TRUE
#define MF_FALSE			FALSE
#define MF_NULL				NULL
#define MF_MAX_PATH			MAX_PATH
#define MF_IDOK				IDOK
#define MF_IDCANCEL			IDCANCEL

#define MF_SUCCESS			0  //
#define MF_FAILURE							-1 //s

#define MF_ID_SIZE			260
#define MF_SUBID_SIZE		64
#define MF_TIME_SIZE		16
#define MF_KEY_SIZE_32		33
#define MF_KEY_SIZE_20		21
#define MF_VALCODE_SIZE		32

#define MF_18				18	// L[PW
#define MF_24				24	// L[QS
#define MF_32				32	// L[RQ

// v_NgL[obt@TCY
#define MF_ID_BUFF18		19	// 18
#define MF_ID_BUFF24		25	// 24
#define MF_ID_BUFF32		33	// 32


typedef struct{
	ULONG nID;
	ULONG nSubID[MF_SUBID_SIZE];
} MF_IDENTITY_KV13, *LPMF_IDENTITY_KV13;

typedef struct{
	BYTE szID[MF_ID_SIZE];
} MF_IDENTITY_KV17, *LPMF_IDENTITY_KV17;

typedef struct{
	BYTE  szTime1[MF_TIME_SIZE];
	BYTE  szTime2[MF_TIME_SIZE];
} MF_TIME, *LPMF_TIME;



//* mfInitialize *//
// L[o[Wݒ (v_NgL[`FbNƂݒ肷)
#define MF_KEY_VERSION_13	13 // Ver1.3 ȑÕX^C
#define MF_KEY_VERSION_14	14 // Ver1.4 
#define MF_KEY_VERSION_15	15 // Ver1.5
#define MF_KEY_VERSION_17	17 // Ver1.7 
#define MF_KEY_VERSION_20	20 // Ver2.0
#define MF_KEY_VERSION_30	30 // Ver3.0

// \
typedef struct {
	INT nKeyVersion;
	LPTSTR lpszTrunkDLL;
} MF_INITIAL_DATA, *LPMF_INITIAL_DATA;

//* mfCheckDaysEx *//
#define MF_GET_DAYS			1
#define MF_CHECK_DAYS		2

//* mfReadCodeEx & mfWriteCodeEx *//
#define MF_ERR_LOAD										-101
#define MF_ERR_SYSTEM									-102
#define MF_ERR_CRC										-103
#define MF_ERR_MEMORY									-104
#define MF_ERR_FILE										-105
#define MF_ERR_DATA		
#define MF_FIRST_TIME						100

//* mfSetRegValue & mfGetRegValue & mfGetRegValueSize *//
#define MF_KEY_ROOT					1
#define MF_KEY_CURRENT_CONFIG		2
#define MF_KEY_CURRENT_USER			3
#define MF_KEY_LOCAL_MACHINE		4
#define MF_KEY_USER					5

#define MF_REG_TYPE_SZ				1
#define MF_REG_TYPE_BINARY			3


